"use strict";
var SqlStorage = (function () {
    function SqlStorage() {
        this.database = window.openDatabase('cache', '1.0', 'cache', 5 * 1024 * 1024);
    }
    /**
     * @description Call database query
     * @return {Promise<any>}
     */
    SqlStorage.prototype.query = function (query, values) {
        var _this = this;
        if (values === void 0) { values = []; }
        return new Promise(function (resolve, reject) {
            _this.database.transaction(function (tx) {
                tx.executeSql(query, values, function (tx, rs) {
                    resolve(rs);
                }, function (tx, err) {
                    reject(err);
                    return false;
                });
            });
        });
    };
    return SqlStorage;
}());
exports.SqlStorage = SqlStorage;
//# sourceMappingURL=storage.js.map